function init() {
    var anterior;
    var droantes;
    var elmentmuse;
    var cuenta;
    var play = false;
    var min = 0;
    var seg = 0;
    var juego;
    var posRan;
    var imagenes = new Array();
    var fila = 0;
    var col = 0;
    var inicial = 60;
    var ajustar = 0;
    var ajustarfil = 213;
    sg.abrirPop(1);

    function ordenar() {
        $('.drag').each(function(index, el) {
            imagenes.push($(this));
            $(this).remove();
        });

        while (imagenes.length > 0) {
            posRan = Math.floor(Math.random() * imagenes.length);
            imagenes[posRan].css({
                'top': ajustarfil + "px",
                'left': (inicial + ajustar) + "px"
            });
            col++;
            ajustar += 119;
            if (col == 5) {
                col = 0;
                inicial = 60;
                ajustar = 0;
                ajustarfil += 80;
                fila++;
            }
            $('.ggb_contenidoInterno_S').append(imagenes[posRan]);
            imagenes.splice(posRan, 1);
        }
        dragables();
    }

    ordenar();

    function dragables() {

        sg.setDraggable(
            ".drag", {
                dropSelector: ".drop",
                success: function() {
                    //sg.sound("success");
                    var hit = $(this).data("hit");
                    if (hit) {
                        var dragObjs = hit.data("dragObjs");
                        //console.log(dragObjs.length);
                        if (dragObjs.length == 2) {
                            elemendrag = $(this).data('_originPos');
                            var element = dragObjs[0].clone();
                            element.css({
                                'left': elemendrag.left,
                                'top': elemendrag.top
                            });
                            $('.ggb_contenidoInterno').append(element);
                            //dropantes.push(dragObjs[0]);
                            dragObjs[0].remove();
                            dragObjs.splice(0, 1);
                            //dropantes.splice(0,1);
                            //dropantes = null;

                        }
                    }
                    dragables();
                    gana();
                },
                fail: "sg.sound('error')",
                revert: true,
            });
    }

    /*$('.ggb_contenidoInterno').on("mousedown",'.drag',function(){
    elmentmuse = $(this);
    if(anterior = $(this).data('hit')){
        dropantes= anterior.data("dragObjs");
        if (dropantes.length>1) {
            dropantes.splice(0,1);
        };
    }
});*/

    function gana() {
        cuenta = 0;
        $('.drag').each(function(index, el) {
            hit = $(this).data('hit');
            if (hit) {
                if (parseInt(hit.attr('id')) - 1 == $(this).attr('id')) {
                    cuenta++;
                }
            }
        });
        if (cuenta == 24) {
            clearInterval(juego);
        }
        // console.log(cuenta);
    }


    $('.instru').click(function() {
        sg.abrirPop(1);
    });

    $('.closs').click(function(event) {
        if (!play) {
            play = true;
            tiempo();
        }
    });

    function tiempo() {
        if (play) {
            juego = setInterval(aimatiempo, 1000);
        };
    }

    function aimatiempo() {
        seg++;
        if (seg < 60) {
            if (seg < 10) {
                $('.seg').html('0' + seg);
            } else {
                $('.seg').html(seg);
            }
        } else {
            seg = 0;
            $('.seg').html('0' + seg);
            min++;
            if (min < 10) {
                $('.min').html('0' + min);
            } else {
                $('.min').html(min);
                clearInterval(juego);
                sg.abrirPop(2);
            }
        }
    }

    $('.reiniciar').click(function() {
        sg.destroyDraggable('.drag');
        fila = 0;
        col = 0;
        inicial = 60;
        ajustar = 0;
        ajustarfil = 213;
        ordenar();
        play = false;
        min = 0;
        seg = 0;
        sg.abrirPop(1);
        clearInterval(juego);
    })

}